*{
    margin: 0;
    padding: 0;
}

#wrapper{
    position: relative;
    height: 100vh;
    width: 100vw;
    background-color: #e5e5e5;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.clock-container{
    min-width: 300px;
    min-height: 300px;
    max-height: 300px;
    max-width: 300px;
    aspect-ratio: 1/1;
    border: 20px solid black;
    border-radius: 50%;
    position: relative;
    padding: 2rem;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.7);
    transition: all 0.4s linear;
}

.clock-container div{
    position: absolute;
    width: 45%;
    top: 50%;
    left:5.1%;
    height: 4px;
    background-color: black;
    border-radius: 5px;
    box-shadow:0 0 5px 1px rgba(0, 0, 0, 0.7);
    transform-origin: right;
}

#h-hand{
    width: 30%;
    left: 20%;
    top: 49.5%;
    height: 9px;
}

#m-hand{
    width: 40%;
    left: 10%;
    height: 6px;
}

#s-hand{
    background-color: red;
}

.circle{
    position: absolute;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    background-color: white;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.8);
    border: 2px solid red;
}

.theme-container{
    position: absolute;
    top: 3%;
    right: 3%;
}

.theme-container input{
    cursor: pointer;
    appearance: none;
    height: 3rem;
    width: 6rem;
    background-color: white;
    box-shadow: 0px 0px 3px black;
    border-radius: 1.5rem;
    transition: all 0.2s linear;
}

.theme-container i{
    cursor: pointer;
    font-size: 1.6rem;
    position: absolute;
    top: 50%;
    transform: translateY(-55%);
    z-index: 1;
    transition: all 0.2s linear;
}

#sun{
    left:0.55rem;
    color: #ffb703;
}
#moon{
    right: 0.85rem;
    color:#ffb703;
}

#current-mode{
    height: 2.5rem;
    width: 2.5rem;
    background-color: black;
    position: absolute;
    top: 7.5%;
    cursor: pointer;
    border-radius:50%;
    z-index: 2;
    transition: all 0.5s ease;
}

h1{
    position: absolute;
    bottom: 1rem;
    font-family: 'Smooch', cursive;
    text-shadow: 0px 0px 10px black;
    letter-spacing: 2px;
    transition: all 0.3s ease;
}

#heading{
    left: 1rem;
    top:8rem;
    transform: rotate(-45deg);
    transform-origin: left top;
}

@media (max-width:500px){
    .clock-container{
        min-width: 200px;
        min-height: 200px;
        max-height: 200px;
        max-width: 200px;
        aspect-ratio: 1/1;
    }   
    .theme-container input{
        height: 2rem;
        width: 4rem;
        box-shadow: 0px 0px 3px black;
        border-radius: 1rem;
    }
    .theme-container i{
        font-size: 1.1rem;
        top: 50%;
        transform: translateY(-55%);
    }
    
    #sun{
        left:0.5rem;
        color: #ffb703;
    }
    #moon{
        right: 0.65rem;
        color:#ffb703;
    }
    
    #current-mode{
        height: 1.5rem;
        width: 1.5rem;
        top: 13%;
    }
    h1{
        bottom: 6rem;
    }
}
@media (max-width:360px){
    .clock-container{
        min-width: 100px;
        min-height:100px;
        max-height:100px;
        max-width: 100px;
        aspect-ratio: 1/1;
        border: 10px solid black;
        padding: 1rem;
    }   
    
    h1{
        bottom: 5rem;
        font-size: 0.8rem;
    }

    #heading{
        left: 0.8rem;
        top:4rem;
        transform: rotate(-45deg);
        transform-origin: left top;
    }

    .circle{
        height: 22px;
        width: 22px;
    }
}
